commit perl-CPAN-Meta for openSUSE:Factory

2016-08-24 Thread h_root
Hello community,

here is the log from the commit of package perl-CPAN-Meta for openSUSE:Factory 
checked in at 2016-08-24 10:06:41

Comparing /work/SRC/openSUSE:Factory/perl-CPAN-Meta (Old)
 and  /work/SRC/openSUSE:Factory/.perl-CPAN-Meta.new (New)


Package is "perl-CPAN-Meta"

Changes:

--- /work/SRC/openSUSE:Factory/perl-CPAN-Meta/perl-CPAN-Meta.changes
2015-08-25 08:53:38.0 +0200
+++ /work/SRC/openSUSE:Factory/.perl-CPAN-Meta.new/perl-CPAN-Meta.changes   
2016-08-24 10:06:43.0 +0200
@@ -1,0 +2,61 @@
+Fri Aug 19 05:06:41 UTC 2016 - co...@suse.com
+
+- updated to 2.150010
+   see /usr/share/doc/packages/perl-CPAN-Meta/Changes
+
+  2.150010  2016-08-18 12:10:08-04:00 America/New_York
+  
+[FIXED]
+  
+- the YAML and JSON backend variables are ignored when building/testing the
+  perl core itself, where non-core backends are not yet installed.
+  
+[CHANGED]
+  
+- Added "use warnings" to Parse::CPAN::Meta
+  
+  2.150009  2016-07-02 21:07:49-04:00 America/New_York (TRIAL RELEASE)
+  
+[FIXED]
+  
+- Fixed used of Encode in Parse::CPAN::Meta::load_json_string
+  (Cherry picked from Parse::CPAN::Meta 1.4422)
+  
+  2.150008  2016-06-28 17:01:03-04:00 America/New_York (TRIAL RELEASE)
+  
+[ADDED]
+  
+- Merged Parse::CPAN::Meta 1.4420 into this distribution
+  
+  2.150007  2016-06-28 03:48:16-04:00 America/New_York (TRIAL RELEASE)
+  
+[FIXED]
+  
+- The cloning routine would raise an error on expected types when it
+  previously would stringify.  The old behavior is restored.
+  
+  2.150006  2016-06-23 20:05:46-04:00 America/New_York (TRIAL RELEASE)
+  
+[FIXED]
+  
+- CPAN::Meta::Prereqs now fully accepts phases and types starting with 
'x_'.
+  New 'phases' and 'types_in' interfaces have been added.
+  
+- No longer relies on JSON backend for data structure cloning. This is
+  much faster than using JSON::PP.
+  
+[TESTS]
+  
+- The 'extra_mappings' feature for meta merging is now tested and
+  documented.
+  
+- During tests, delete new environment variables added by
+  Parse::CPAN::Meta 1.4418
+  
+[SPEC]
+  
+- Clarifies acceptable values for booleans
+  
+- Cleaned up text and links of historical specs.
+
+---

Old:

  CPAN-Meta-2.150005.tar.gz

New:

  CPAN-Meta-2.150010.tar.gz



Other differences:
--
++ perl-CPAN-Meta.spec ++
--- /var/tmp/diff_new_pack.hFIvOA/_old  2016-08-24 10:06:44.0 +0200
+++ /var/tmp/diff_new_pack.hFIvOA/_new  2016-08-24 10:06:44.0 +0200
@@ -1,7 +1,7 @@
 #
 # spec file for package perl-CPAN-Meta
 #
-# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -17,7 +17,7 @@
 
 
 Name:   perl-CPAN-Meta
-Version:2.150005
+Version:2.150010
 Release:0
 %define cpan_name CPAN-Meta
 Summary:The Distribution Metadata for a Cpan Dist
@@ -31,16 +31,14 @@
 BuildRequires:  perl
 BuildRequires:  perl-macros
 BuildRequires:  perl(CPAN::Meta::Requirements) >= 2.121000
-BuildRequires:  perl(CPAN::Meta::YAML) >= 0.008
+BuildRequires:  perl(CPAN::Meta::YAML) >= 0.011
 BuildRequires:  perl(File::Temp) >= 0.20
-BuildRequires:  perl(JSON::PP) >= 2.27200
-BuildRequires:  perl(Parse::CPAN::Meta) >= 1.4414
+BuildRequires:  perl(JSON::PP) >= 2.27300
 BuildRequires:  perl(Test::More) >= 0.88
 BuildRequires:  perl(version) >= 0.88
 Requires:   perl(CPAN::Meta::Requirements) >= 2.121000
-Requires:   perl(CPAN::Meta::YAML) >= 0.008
-Requires:   perl(JSON::PP) >= 2.27200
-Requires:   perl(Parse::CPAN::Meta) >= 1.4414
+Requires:   perl(CPAN::Meta::YAML) >= 0.011
+Requires:   perl(JSON::PP) >= 2.27300
 Requires:   perl(version) >= 0.88
 %{perl_requires}
 
@@ -49,7 +47,7 @@
 older distributions, _META.yml_, which describes the distribution, its
 contents, and the requirements for building and installing the
 distribution. The data structure stored in the _META.json_ file is
-described in the CPAN::Meta::Spec manpage.
+described in CPAN::Meta::Spec.
 
 CPAN::Meta provides a simple class to represent this distribution metadata
 (or _distmeta_), along with some helpful methods for interrogating that

++ CPAN-Meta-2.150005.tar.gz -> CPAN-Meta-2.150010.tar.gz ++
 5041 lines of diff (skipped)




commit perl-CPAN-Meta for openSUSE:Factory

2015-08-25 Thread h_root
Hello community,

here is the log from the commit of package perl-CPAN-Meta for openSUSE:Factory 
checked in at 2015-08-25 07:23:16

Comparing /work/SRC/openSUSE:Factory/perl-CPAN-Meta (Old)
 and  /work/SRC/openSUSE:Factory/.perl-CPAN-Meta.new (New)


Package is perl-CPAN-Meta

Changes:

--- /work/SRC/openSUSE:Factory/perl-CPAN-Meta/perl-CPAN-Meta.changes
2015-06-15 17:46:52.0 +0200
+++ /work/SRC/openSUSE:Factory/.perl-CPAN-Meta.new/perl-CPAN-Meta.changes   
2015-08-25 08:53:38.0 +0200
@@ -1,0 +2,5 @@
+Wed Jul  8 05:29:45 UTC 2015 - co...@suse.com
+
+- recompile against perl 5.22
+
+---



Other differences:
--



commit perl-CPAN-Meta for openSUSE:Factory

2015-06-15 Thread h_root
Hello community,

here is the log from the commit of package perl-CPAN-Meta for openSUSE:Factory 
checked in at 2015-06-15 17:46:50

Comparing /work/SRC/openSUSE:Factory/perl-CPAN-Meta (Old)
 and  /work/SRC/openSUSE:Factory/.perl-CPAN-Meta.new (New)


Package is perl-CPAN-Meta

Changes:

--- /work/SRC/openSUSE:Factory/perl-CPAN-Meta/perl-CPAN-Meta.changes
2015-04-25 21:16:38.0 +0200
+++ /work/SRC/openSUSE:Factory/.perl-CPAN-Meta.new/perl-CPAN-Meta.changes   
2015-06-15 17:46:52.0 +0200
@@ -1,0 +2,41 @@
+Sun Jun 14 07:58:43 UTC 2015 - co...@suse.com
+
+- updated to 2.150005
+   see /usr/share/doc/packages/perl-CPAN-Meta/Changes
+
+  2.150005  2015-06-09 19:08:44-06:00 America/Denver
+  
+[TESTING]
+  
+- Changed some test data from UTF-8 to ASCII
+  
+  2.150004  2015-05-19 11:25:53-04:00 America/New_York (TRIAL RELEASE)
+  
+[DOCUMENTED]
+  
+- Noted explicitly that historical META spec files are licensed under
+  the same terms as Perl
+  
+[TESTING]
+  
+- Added test for 'x_deprecated' field in provides
+  
+[META]
+  
+- declared extra developer prereq
+  
+  2.150003  2015-04-21 19:41:15-04:00 America/New_York (TRIAL RELEASE)
+  
+[CHANGED]
+  
+- Serialized CPAN::Meta objects now include a x_serialization_backend
+  entry
+  
+  2.150002  2015-04-19 01:00:10+02:00 Europe/Berlin (TRIAL RELEASE)
+  
+[CHANGED]
+  
+- Metadata merging now does deep hash merging as long as keys
+  don't conflict
+
+---

Old:

  CPAN-Meta-2.150001.tar.gz

New:

  CPAN-Meta-2.150005.tar.gz



Other differences:
--
++ perl-CPAN-Meta.spec ++
--- /var/tmp/diff_new_pack.TAKNOk/_old  2015-06-15 17:46:53.0 +0200
+++ /var/tmp/diff_new_pack.TAKNOk/_new  2015-06-15 17:46:53.0 +0200
@@ -17,7 +17,7 @@
 
 
 Name:   perl-CPAN-Meta
-Version:2.150001
+Version:2.150005
 Release:0
 %define cpan_name CPAN-Meta
 Summary:The Distribution Metadata for a Cpan Dist
@@ -30,14 +30,14 @@
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 BuildRequires:  perl
 BuildRequires:  perl-macros
-BuildRequires:  perl(CPAN::Meta::Requirements) = 2.121
+BuildRequires:  perl(CPAN::Meta::Requirements) = 2.121000
 BuildRequires:  perl(CPAN::Meta::YAML) = 0.008
 BuildRequires:  perl(File::Temp) = 0.20
 BuildRequires:  perl(JSON::PP) = 2.27200
 BuildRequires:  perl(Parse::CPAN::Meta) = 1.4414
 BuildRequires:  perl(Test::More) = 0.88
 BuildRequires:  perl(version) = 0.88
-Requires:   perl(CPAN::Meta::Requirements) = 2.121
+Requires:   perl(CPAN::Meta::Requirements) = 2.121000
 Requires:   perl(CPAN::Meta::YAML) = 0.008
 Requires:   perl(JSON::PP) = 2.27200
 Requires:   perl(Parse::CPAN::Meta) = 1.4414

++ CPAN-Meta-2.150001.tar.gz - CPAN-Meta-2.150005.tar.gz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/CPAN-Meta-2.150001/Changes 
new/CPAN-Meta-2.150005/Changes
--- old/CPAN-Meta-2.150001/Changes  2015-03-09 19:41:54.0 +0100
+++ new/CPAN-Meta-2.150005/Changes  2015-06-10 03:08:59.0 +0200
@@ -1,5 +1,40 @@
 Revision history for CPAN-Meta
 
+2.150005  2015-06-09 19:08:44-06:00 America/Denver
+
+  [TESTING]
+
+  - Changed some test data from UTF-8 to ASCII
+
+2.150004  2015-05-19 11:25:53-04:00 America/New_York (TRIAL RELEASE)
+
+  [DOCUMENTED]
+
+  - Noted explicitly that historical META spec files are licensed under
+the same terms as Perl
+
+  [TESTING]
+
+  - Added test for 'x_deprecated' field in provides
+
+  [META]
+
+  - declared extra developer prereq
+
+2.150003  2015-04-21 19:41:15-04:00 America/New_York (TRIAL RELEASE)
+
+  [CHANGED]
+
+  - Serialized CPAN::Meta objects now include a x_serialization_backend
+entry
+
+2.150002  2015-04-19 01:00:10+02:00 Europe/Berlin (TRIAL RELEASE)
+
+  [CHANGED]
+
+  - Metadata merging now does deep hash merging as long as keys
+don't conflict
+
 2.150001  2015-03-09 14:41:39-04:00 America/New_York
 
   [DOCUMENTED]
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/CPAN-Meta-2.150001/MANIFEST 
new/CPAN-Meta-2.150005/MANIFEST
--- old/CPAN-Meta-2.150001/MANIFEST 2015-03-09 19:41:54.0 +0100
+++ new/CPAN-Meta-2.150005/MANIFEST 2015-06-10 03:08:59.0 +0200
@@ -1,4 +1,4 @@
-# This file was automatically generated by Dist::Zilla::Plugin::Manifest 
v5.032.
+# This file was automatically generated by Dist::Zilla::Plugin::Manifest 
v5.037.
 CONTRIBUTING.mkdn
 Changes
 LICENSE
@@ -69,6 +69,7 @@
 t/data-test/META-2.json
 t/data-test/META-2.meta
 t/data-test/gpl-1_4.yml

commit perl-CPAN-Meta for openSUSE:Factory

2015-04-25 Thread h_root
Hello community,

here is the log from the commit of package perl-CPAN-Meta for openSUSE:Factory 
checked in at 2015-04-25 21:16:37

Comparing /work/SRC/openSUSE:Factory/perl-CPAN-Meta (Old)
 and  /work/SRC/openSUSE:Factory/.perl-CPAN-Meta.new (New)


Package is perl-CPAN-Meta

Changes:

--- /work/SRC/openSUSE:Factory/perl-CPAN-Meta/perl-CPAN-Meta.changes
2014-12-25 23:20:08.0 +0100
+++ /work/SRC/openSUSE:Factory/.perl-CPAN-Meta.new/perl-CPAN-Meta.changes   
2015-04-25 21:16:38.0 +0200
@@ -1,0 +2,15 @@
+Thu Apr 16 21:03:26 UTC 2015 - co...@suse.com
+
+- updated to 2.150001
+   see /usr/share/doc/packages/perl-CPAN-Meta/Changes
+
+  2.150001  2015-03-09 14:41:39-04:00 America/New_York
+  
+[DOCUMENTED]
+  
+- Include allowed values for license field in 1.x historic licenses rather
+  than linking to Module::Build
+  
+- Documented when fragment merging became available
+
+---

Old:

  CPAN-Meta-2.143240.tar.gz

New:

  CPAN-Meta-2.150001.tar.gz
  cpanspec.yml



Other differences:
--
++ perl-CPAN-Meta.spec ++
--- /var/tmp/diff_new_pack.HRDy62/_old  2015-04-25 21:16:39.0 +0200
+++ /var/tmp/diff_new_pack.HRDy62/_new  2015-04-25 21:16:39.0 +0200
@@ -1,7 +1,7 @@
 #
 # spec file for package perl-CPAN-Meta
 #
-# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
+# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -17,14 +17,15 @@
 
 
 Name:   perl-CPAN-Meta
-Version:2.143240
+Version:2.150001
 Release:0
 %define cpan_name CPAN-Meta
-Summary:Distribution metadata for a CPAN dist
+Summary:The Distribution Metadata for a Cpan Dist
 License:Artistic-1.0 or GPL-1.0+
 Group:  Development/Libraries/Perl
 Url:http://search.cpan.org/dist/CPAN-Meta/
-Source: 
http://www.cpan.org/authors/id/D/DA/DAGOLDEN/%{cpan_name}-%{version}.tar.gz
+Source0:
http://www.cpan.org/authors/id/D/DA/DAGOLDEN/%{cpan_name}-%{version}.tar.gz
+Source1:cpanspec.yml
 BuildArch:  noarch
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 BuildRequires:  perl
@@ -59,13 +60,6 @@
 
 %prep
 %setup -q -n %{cpan_name}-%{version}
-# MANUAL BEGIN
-%if 0%{?suse_version} = 1110
-for i in $(find t -type f) ; do
-sed -i -e s@^\s*use\s\s*Test::More@use lib '%{perl_vendorlib}';\nuse 
Test::More@ $i
-done
-%endif
-# MANUAL END
 
 %build
 %{__perl} Makefile.PL INSTALLDIRS=vendor
@@ -81,6 +75,6 @@
 
 %files -f %{name}.files
 %defattr(-,root,root,755)
-%doc Changes CONTRIBUTING cpanfile LICENSE perlcritic.rc README Todo
+%doc Changes CONTRIBUTING.mkdn LICENSE README Todo
 
 %changelog

++ CPAN-Meta-2.143240.tar.gz - CPAN-Meta-2.150001.tar.gz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/CPAN-Meta-2.143240/CONTRIBUTING 
new/CPAN-Meta-2.150001/CONTRIBUTING
--- old/CPAN-Meta-2.143240/CONTRIBUTING 2014-11-20 16:26:44.0 +0100
+++ new/CPAN-Meta-2.150001/CONTRIBUTING 1970-01-01 01:00:00.0 +0100
@@ -1,62 +0,0 @@
-## HOW TO CONTRIBUTE
-
-Thank you for considering contributing to this distribution.  This file
-contains instructions that will help you work with the source code.
-
-The distribution is managed with Dist::Zilla.  This means than many of the
-usual files you might expect are not in the repository, but are generated
-at release time (e.g. Makefile.PL).
-
-### Getting dependencies
-
-See the included `cpanfile` file for a list of dependencies.  If you have
-App::cpanminus 1.6 or later installed, you can use `cpanm` to satisfy
-dependencies like this:
-
-$ cpanm --installdeps .
-
-Otherwise, you can install Module::CPANfile 1.0002 or later and then satisfy
-dependencies with the regular `cpan` client and `cpanfile-dump`:
-
-$ cpan `cpanfile-dump`
-
-### Running tests
-
-You can run tests directly using the `prove` tool:
-
-$ prove -l
-$ prove -lv t/some_test_file.t
-
-For most distributions, `prove` is entirely sufficent for you to test any
-patches you have.
-
-### Patching documentation
-
-Likewise, much of the documentation Pod is generated at release time.
-Depending on the distribution, some documentation may be written in a Pod
-dialect called WikiDoc. (See Pod::WikiDoc on CPAN.)
-
-If you would like to submit a documentation edit, please limit yourself to the
-documentation you see.
-
-If you see typos or documentation issues in the generated docs, please
-email or open a bug ticket instead of patching.
-
-### 

commit perl-CPAN-Meta for openSUSE:Factory

2014-12-25 Thread h_root
Hello community,

here is the log from the commit of package perl-CPAN-Meta for openSUSE:Factory 
checked in at 2014-12-25 23:20:17

Comparing /work/SRC/openSUSE:Factory/perl-CPAN-Meta (Old)
 and  /work/SRC/openSUSE:Factory/.perl-CPAN-Meta.new (New)


Package is perl-CPAN-Meta

Changes:

--- /work/SRC/openSUSE:Factory/perl-CPAN-Meta/perl-CPAN-Meta.changes
2014-09-17 17:26:13.0 +0200
+++ /work/SRC/openSUSE:Factory/.perl-CPAN-Meta.new/perl-CPAN-Meta.changes   
2014-12-25 23:20:08.0 +0100
@@ -1,0 +2,9 @@
+Sun Dec 21 18:33:58 UTC 2014 - l...@linux-schulserver.de
+
+- update to 2.143240
+  + Give correct path in nested merges such as resources
+  + Removed strings test that should have been removed when
+CPAN::Meta::Requirements was removed to a separate dist
+- follow new company name
+
+---

Old:

  CPAN-Meta-2.142060.tar.gz

New:

  CPAN-Meta-2.143240.tar.gz



Other differences:
--
++ perl-CPAN-Meta.spec ++
--- /var/tmp/diff_new_pack.EMc3MK/_old  2014-12-25 23:20:09.0 +0100
+++ /var/tmp/diff_new_pack.EMc3MK/_new  2014-12-25 23:20:09.0 +0100
@@ -17,7 +17,7 @@
 
 
 Name:   perl-CPAN-Meta
-Version:2.142060
+Version:2.143240
 Release:0
 %define cpan_name CPAN-Meta
 Summary:Distribution metadata for a CPAN dist

++ CPAN-Meta-2.142060.tar.gz - CPAN-Meta-2.143240.tar.gz ++
 4038 lines of diff (skipped)

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit perl-CPAN-Meta for openSUSE:Factory

2014-09-17 Thread h_root
Hello community,

here is the log from the commit of package perl-CPAN-Meta for openSUSE:Factory 
checked in at 2014-09-17 17:25:53

Comparing /work/SRC/openSUSE:Factory/perl-CPAN-Meta (Old)
 and  /work/SRC/openSUSE:Factory/.perl-CPAN-Meta.new (New)


Package is perl-CPAN-Meta

Changes:

--- /work/SRC/openSUSE:Factory/perl-CPAN-Meta/perl-CPAN-Meta.changes
2014-05-26 14:41:24.0 +0200
+++ /work/SRC/openSUSE:Factory/.perl-CPAN-Meta.new/perl-CPAN-Meta.changes   
2014-09-17 17:26:13.0 +0200
@@ -1,0 +2,17 @@
+Mon Sep 15 15:44:38 UTC 2014 - co...@suse.com
+
+- updated to 2.142060
+ 
+   [ADDED]
+ 
+   - CPAN::Meta::Merge is a new class for merging two possibly overlapping
+ instances of metadata. It will accept both CPAN::Meta objects and
+ (possibly incomplete) hashrefs of metadata.
+ 
+ 2.141520  2014-05-31 23:41:13-04:00 America/New_York
+ 
+   [DOCUMENTED]
+ 
+   - Clarified use of 'file' for the 'provides' field in the Spec
+
+---

Old:

  CPAN-Meta-2.141170.tar.gz

New:

  CPAN-Meta-2.142060.tar.gz



Other differences:
--
++ perl-CPAN-Meta.spec ++
--- /var/tmp/diff_new_pack.axIlh8/_old  2014-09-17 17:26:14.0 +0200
+++ /var/tmp/diff_new_pack.axIlh8/_new  2014-09-17 17:26:14.0 +0200
@@ -17,14 +17,14 @@
 
 
 Name:   perl-CPAN-Meta
-Version:2.141170
+Version:2.142060
 Release:0
 %define cpan_name CPAN-Meta
 Summary:Distribution metadata for a CPAN dist
 License:Artistic-1.0 or GPL-1.0+
 Group:  Development/Libraries/Perl
 Url:http://search.cpan.org/dist/CPAN-Meta/
-Source: CPAN-Meta-2.141170.tar.gz
+Source: 
http://www.cpan.org/authors/id/D/DA/DAGOLDEN/%{cpan_name}-%{version}.tar.gz
 BuildArch:  noarch
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 BuildRequires:  perl
@@ -36,17 +36,6 @@
 BuildRequires:  perl(Parse::CPAN::Meta) = 1.4414
 BuildRequires:  perl(Test::More) = 0.88
 BuildRequires:  perl(version) = 0.88
-#BuildRequires: perl(CPAN::Meta)
-#BuildRequires: perl(CPAN::Meta::Converter)
-#BuildRequires: perl(CPAN::Meta::Feature)
-#BuildRequires: perl(CPAN::Meta::Prereqs)
-#BuildRequires: perl(CPAN::Meta::Validator)
-#BuildRequires: perl(Pod::Coverage::TrustPod)
-#BuildRequires: perl(Pod::Wordlist)
-#BuildRequires: perl(Test::CPAN::Meta)
-#BuildRequires: perl(Test::Pod) = 1.41
-#BuildRequires: perl(Test::Pod::Coverage) = 1.08
-#BuildRequires: perl(Test::Spelling) = 0.12
 Requires:   perl(CPAN::Meta::Requirements) = 2.121
 Requires:   perl(CPAN::Meta::YAML) = 0.008
 Requires:   perl(JSON::PP) = 2.27200

++ CPAN-Meta-2.141170.tar.gz - CPAN-Meta-2.142060.tar.gz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/CPAN-Meta-2.141170/Changes 
new/CPAN-Meta-2.142060/Changes
--- old/CPAN-Meta-2.141170/Changes  2014-04-27 19:03:49.0 +0200
+++ new/CPAN-Meta-2.142060/Changes  2014-07-25 19:30:29.0 +0200
@@ -1,5 +1,19 @@
 Revision history for CPAN-Meta
 
+2.142060  2014-07-25 13:30:06-04:00 America/New_York
+
+  [ADDED]
+
+  - CPAN::Meta::Merge is a new class for merging two possibly overlapping
+instances of metadata. It will accept both CPAN::Meta objects and
+(possibly incomplete) hashrefs of metadata.
+
+2.141520  2014-05-31 23:41:13-04:00 America/New_York
+
+  [DOCUMENTED]
+
+  - Clarified use of 'file' for the 'provides' field in the Spec
+
 2.141170  2014-04-27 13:03:37-04:00 America/New_York
 
   [ADDED]
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/CPAN-Meta-2.141170/MANIFEST 
new/CPAN-Meta-2.142060/MANIFEST
--- old/CPAN-Meta-2.141170/MANIFEST 2014-04-27 19:03:49.0 +0200
+++ new/CPAN-Meta-2.142060/MANIFEST 2014-07-25 19:30:29.0 +0200
@@ -1,4 +1,4 @@
-# This file was automatically generated by Dist::Zilla::Plugin::Manifest 
v5.015.
+# This file was automatically generated by Dist::Zilla::Plugin::Manifest 
v5.019.
 CONTRIBUTING
 Changes
 LICENSE
@@ -19,10 +19,12 @@
 lib/CPAN/Meta/Converter.pm
 lib/CPAN/Meta/Feature.pm
 lib/CPAN/Meta/History.pm
+lib/CPAN/Meta/Merge.pm
 lib/CPAN/Meta/Prereqs.pm
 lib/CPAN/Meta/Spec.pm
 lib/CPAN/Meta/Validator.pm
 perlcritic.rc
+t/00-report-prereqs.dd
 t/00-report-prereqs.t
 t/README-data.txt
 t/converter-bad.t
@@ -78,6 +80,7 @@
 t/data-valid/META-1_1.yml
 t/data-valid/scalar-meta-spec.yml
 t/load-bad.t
+t/merge.t
 t/meta-obj.t
 t/no-index.t
 t/prereqs-finalize.t
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/CPAN-Meta-2.141170/META.json 
new/CPAN-Meta-2.142060/META.json
--- old/CPAN-Meta-2.141170/META.json

commit perl-CPAN-Meta for openSUSE:Factory

2014-05-26 Thread h_root
Hello community,

here is the log from the commit of package perl-CPAN-Meta for openSUSE:Factory 
checked in at 2014-05-26 14:41:23

Comparing /work/SRC/openSUSE:Factory/perl-CPAN-Meta (Old)
 and  /work/SRC/openSUSE:Factory/.perl-CPAN-Meta.new (New)


Package is perl-CPAN-Meta

Changes:

--- /work/SRC/openSUSE:Factory/perl-CPAN-Meta/perl-CPAN-Meta.changes
2014-03-11 09:32:20.0 +0100
+++ /work/SRC/openSUSE:Factory/.perl-CPAN-Meta.new/perl-CPAN-Meta.changes   
2014-05-26 14:41:24.0 +0200
@@ -1,0 +2,22 @@
+Mon May 26 09:28:07 UTC 2014 - ncut...@suse.com
+
+- updated to 2.141170
+  [ADDED]
+ 
+  - Added ability for CPAN::Meta::Converter to convert metadata fragments
+(incomplete portions of a metadata structure)
+ 
+  [CHANGED]
+ 
+  - Optimized internal use of JSON for datastructure cloning
+ 
+  [FIXED]
+ 
+  - Removed dependency on List::Util 1.33
+ 
+  [DOCUMENTED]
+ 
+  - Clarified language around 'dynamic_config' in the Spec
+ 
+
+---

Old:

  CPAN-Meta-2.140640.tar.gz

New:

  CPAN-Meta-2.141170.tar.gz



Other differences:
--
++ perl-CPAN-Meta.spec ++
--- /var/tmp/diff_new_pack.oR71Mv/_old  2014-05-26 14:41:25.0 +0200
+++ /var/tmp/diff_new_pack.oR71Mv/_new  2014-05-26 14:41:25.0 +0200
@@ -17,14 +17,14 @@
 
 
 Name:   perl-CPAN-Meta
-Version:2.140640
+Version:2.141170
 Release:0
 %define cpan_name CPAN-Meta
-Summary:the distribution metadata for a CPAN dist
+Summary:Distribution metadata for a CPAN dist
 License:Artistic-1.0 or GPL-1.0+
 Group:  Development/Libraries/Perl
 Url:http://search.cpan.org/dist/CPAN-Meta/
-Source: 
http://www.cpan.org/authors/id/D/DA/DAGOLDEN/%{cpan_name}-%{version}.tar.gz
+Source: CPAN-Meta-2.141170.tar.gz
 BuildArch:  noarch
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 BuildRequires:  perl
@@ -33,14 +33,23 @@
 BuildRequires:  perl(CPAN::Meta::YAML) = 0.008
 BuildRequires:  perl(File::Temp) = 0.20
 BuildRequires:  perl(JSON::PP) = 2.27200
-BuildRequires:  perl(List::Util) = 1.33
 BuildRequires:  perl(Parse::CPAN::Meta) = 1.4414
 BuildRequires:  perl(Test::More) = 0.88
 BuildRequires:  perl(version) = 0.88
+#BuildRequires: perl(CPAN::Meta)
+#BuildRequires: perl(CPAN::Meta::Converter)
+#BuildRequires: perl(CPAN::Meta::Feature)
+#BuildRequires: perl(CPAN::Meta::Prereqs)
+#BuildRequires: perl(CPAN::Meta::Validator)
+#BuildRequires: perl(Pod::Coverage::TrustPod)
+#BuildRequires: perl(Pod::Wordlist)
+#BuildRequires: perl(Test::CPAN::Meta)
+#BuildRequires: perl(Test::Pod) = 1.41
+#BuildRequires: perl(Test::Pod::Coverage) = 1.08
+#BuildRequires: perl(Test::Spelling) = 0.12
 Requires:   perl(CPAN::Meta::Requirements) = 2.121
 Requires:   perl(CPAN::Meta::YAML) = 0.008
 Requires:   perl(JSON::PP) = 2.27200
-Requires:   perl(List::Util) = 1.33
 Requires:   perl(Parse::CPAN::Meta) = 1.4414
 Requires:   perl(version) = 0.88
 %{perl_requires}
@@ -63,7 +72,7 @@
 %setup -q -n %{cpan_name}-%{version}
 # MANUAL BEGIN
 %if 0%{?suse_version} = 1110
-for i in `find t -type f` ; do
+for i in $(find t -type f) ; do
 sed -i -e s@^\s*use\s\s*Test::More@use lib '%{perl_vendorlib}';\nuse 
Test::More@ $i
 done
 %endif

++ CPAN-Meta-2.140640.tar.gz - CPAN-Meta-2.141170.tar.gz ++
 2662 lines of diff (skipped)

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit perl-CPAN-Meta for openSUSE:Factory

2014-03-11 Thread h_root
Hello community,

here is the log from the commit of package perl-CPAN-Meta for openSUSE:Factory 
checked in at 2014-03-11 09:32:19

Comparing /work/SRC/openSUSE:Factory/perl-CPAN-Meta (Old)
 and  /work/SRC/openSUSE:Factory/.perl-CPAN-Meta.new (New)


Package is perl-CPAN-Meta

Changes:

--- /work/SRC/openSUSE:Factory/perl-CPAN-Meta/perl-CPAN-Meta.changes
2014-02-07 10:27:18.0 +0100
+++ /work/SRC/openSUSE:Factory/.perl-CPAN-Meta.new/perl-CPAN-Meta.changes   
2014-03-11 09:32:20.0 +0100
@@ -1,0 +2,20 @@
+Fri Mar  7 08:54:50 UTC 2014 - co...@suse.com
+
+- updated to 2.140640
+  [FIXED]
+
+  - A change to the default meta-spec URL in 2.140630 from search.cpan.org
+to metacpan.org broke Module::Build and ExtUtils::MakeMaker.  This
+reverts that change.  Also added the missing change note to the prior
+version.
+
+  [CHANGED]
+
+  - Default meta-spec URL points to metacpan.org instead of search.cpan.org
+
+  [ADDED]
+
+  - Added a 'load_string' method that guesses whether the string
+is YAML or JSON
+
+---

Old:

  CPAN-Meta-2.133380.tar.gz

New:

  CPAN-Meta-2.140640.tar.gz



Other differences:
--
++ perl-CPAN-Meta.spec ++
--- /var/tmp/diff_new_pack.3IXGyD/_old  2014-03-11 09:32:20.0 +0100
+++ /var/tmp/diff_new_pack.3IXGyD/_new  2014-03-11 09:32:20.0 +0100
@@ -17,7 +17,7 @@
 
 
 Name:   perl-CPAN-Meta
-Version:2.133380
+Version:2.140640
 Release:0
 %define cpan_name CPAN-Meta
 Summary:the distribution metadata for a CPAN dist
@@ -34,14 +34,14 @@
 BuildRequires:  perl(File::Temp) = 0.20
 BuildRequires:  perl(JSON::PP) = 2.27200
 BuildRequires:  perl(List::Util) = 1.33
-BuildRequires:  perl(Parse::CPAN::Meta) = 1.4403
+BuildRequires:  perl(Parse::CPAN::Meta) = 1.4414
 BuildRequires:  perl(Test::More) = 0.88
 BuildRequires:  perl(version) = 0.88
 Requires:   perl(CPAN::Meta::Requirements) = 2.121
 Requires:   perl(CPAN::Meta::YAML) = 0.008
 Requires:   perl(JSON::PP) = 2.27200
 Requires:   perl(List::Util) = 1.33
-Requires:   perl(Parse::CPAN::Meta) = 1.4403
+Requires:   perl(Parse::CPAN::Meta) = 1.4414
 Requires:   perl(version) = 0.88
 %{perl_requires}
 

++ CPAN-Meta-2.133380.tar.gz - CPAN-Meta-2.140640.tar.gz ++
 1959 lines of diff (skipped)

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit perl-CPAN-Meta for openSUSE:Factory

2014-02-07 Thread h_root
Hello community,

here is the log from the commit of package perl-CPAN-Meta for openSUSE:Factory 
checked in at 2014-02-07 10:27:18

Comparing /work/SRC/openSUSE:Factory/perl-CPAN-Meta (Old)
 and  /work/SRC/openSUSE:Factory/.perl-CPAN-Meta.new (New)


Package is perl-CPAN-Meta

Changes:

--- /work/SRC/openSUSE:Factory/perl-CPAN-Meta/perl-CPAN-Meta.changes
2014-01-23 15:51:16.0 +0100
+++ /work/SRC/openSUSE:Factory/.perl-CPAN-Meta.new/perl-CPAN-Meta.changes   
2014-02-07 10:27:18.0 +0100
@@ -1,0 +2,5 @@
+Thu Feb  6 16:48:16 UTC 2014 - co...@suse.com
+
+- really remove perl-CPAN-Meta-use_lib.patch
+
+---

Old:

  perl-CPAN-Meta-use_lib.patch



Other differences:
--
-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit perl-CPAN-Meta for openSUSE:Factory

2014-01-23 Thread h_root
Hello community,

here is the log from the commit of package perl-CPAN-Meta for openSUSE:Factory 
checked in at 2014-01-22 23:20:59

Comparing /work/SRC/openSUSE:Factory/perl-CPAN-Meta (Old)
 and  /work/SRC/openSUSE:Factory/.perl-CPAN-Meta.new (New)


Package is perl-CPAN-Meta

Changes:

--- /work/SRC/openSUSE:Factory/perl-CPAN-Meta/perl-CPAN-Meta.changes
2013-12-16 09:26:41.0 +0100
+++ /work/SRC/openSUSE:Factory/.perl-CPAN-Meta.new/perl-CPAN-Meta.changes   
2014-01-23 15:51:16.0 +0100
@@ -1,0 +2,5 @@
+Fri Jan 17 20:03:14 UTC 2014 - l...@linux-schulserver.de
+
+- fix build on SLE11 by using Test::More from vendorlib
+
+---



Other differences:
--
++ perl-CPAN-Meta.spec ++
--- /var/tmp/diff_new_pack.T8cz3p/_old  2014-01-23 15:51:16.0 +0100
+++ /var/tmp/diff_new_pack.T8cz3p/_new  2014-01-23 15:51:16.0 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package perl-CPAN-Meta
 #
-# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
+# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -37,13 +37,6 @@
 BuildRequires:  perl(Parse::CPAN::Meta) = 1.4403
 BuildRequires:  perl(Test::More) = 0.88
 BuildRequires:  perl(version) = 0.88
-#BuildRequires: perl(CPAN::Meta)
-#BuildRequires: perl(CPAN::Meta::Converter)
-#BuildRequires: perl(CPAN::Meta::Feature)
-#BuildRequires: perl(CPAN::Meta::Prereqs)
-#BuildRequires: perl(CPAN::Meta::Validator)
-#BuildRequires: perl(Pod::Wordlist)
-#BuildRequires: perl(Test::Spelling) = 0.12
 Requires:   perl(CPAN::Meta::Requirements) = 2.121
 Requires:   perl(CPAN::Meta::YAML) = 0.008
 Requires:   perl(JSON::PP) = 2.27200
@@ -68,6 +61,13 @@
 
 %prep
 %setup -q -n %{cpan_name}-%{version}
+# MANUAL BEGIN
+%if 0%{?suse_version} = 1110
+for i in `find t -type f` ; do
+sed -i -e s@^\s*use\s\s*Test::More@use lib '%{perl_vendorlib}';\nuse 
Test::More@ $i
+done
+%endif
+# MANUAL END
 
 %build
 %{__perl} Makefile.PL INSTALLDIRS=vendor

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit perl-CPAN-Meta for openSUSE:Factory

2013-12-16 Thread h_root
Hello community,

here is the log from the commit of package perl-CPAN-Meta for openSUSE:Factory 
checked in at 2013-12-16 09:26:39

Comparing /work/SRC/openSUSE:Factory/perl-CPAN-Meta (Old)
 and  /work/SRC/openSUSE:Factory/.perl-CPAN-Meta.new (New)


Package is perl-CPAN-Meta

Changes:

--- /work/SRC/openSUSE:Factory/perl-CPAN-Meta/perl-CPAN-Meta.changes
2013-11-26 19:24:53.0 +0100
+++ /work/SRC/openSUSE:Factory/.perl-CPAN-Meta.new/perl-CPAN-Meta.changes   
2013-12-16 09:26:41.0 +0100
@@ -1,0 +2,11 @@
+Mon Dec  9 11:18:14 UTC 2013 - co...@suse.com
+
+- updated to 2.133380
+   [FIXED]
+   - Improved bad version handling during META conversion
+ 
+   - When downgrading multiple licenses to version 1.x META formats, if all
+ the licenses are open source, the downgraded license will be
+ open_source, not unknown
+
+---

Old:

  CPAN-Meta-2.132830.tar.gz

New:

  CPAN-Meta-2.133380.tar.gz



Other differences:
--
++ perl-CPAN-Meta.spec ++
--- /var/tmp/diff_new_pack.vLLlvD/_old  2013-12-16 09:26:41.0 +0100
+++ /var/tmp/diff_new_pack.vLLlvD/_new  2013-12-16 09:26:41.0 +0100
@@ -17,7 +17,7 @@
 
 
 Name:   perl-CPAN-Meta
-Version:2.132830
+Version:2.133380
 Release:0
 %define cpan_name CPAN-Meta
 Summary:the distribution metadata for a CPAN dist
@@ -33,6 +33,7 @@
 BuildRequires:  perl(CPAN::Meta::YAML) = 0.008
 BuildRequires:  perl(File::Temp) = 0.20
 BuildRequires:  perl(JSON::PP) = 2.27200
+BuildRequires:  perl(List::Util) = 1.33
 BuildRequires:  perl(Parse::CPAN::Meta) = 1.4403
 BuildRequires:  perl(Test::More) = 0.88
 BuildRequires:  perl(version) = 0.88
@@ -46,6 +47,7 @@
 Requires:   perl(CPAN::Meta::Requirements) = 2.121
 Requires:   perl(CPAN::Meta::YAML) = 0.008
 Requires:   perl(JSON::PP) = 2.27200
+Requires:   perl(List::Util) = 1.33
 Requires:   perl(Parse::CPAN::Meta) = 1.4403
 Requires:   perl(version) = 0.88
 %{perl_requires}

++ CPAN-Meta-2.132830.tar.gz - CPAN-Meta-2.133380.tar.gz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/CPAN-Meta-2.132830/Changes 
new/CPAN-Meta-2.133380/Changes
--- old/CPAN-Meta-2.132830/Changes  2013-10-10 22:04:44.0 +0200
+++ new/CPAN-Meta-2.133380/Changes  2013-12-04 05:01:20.0 +0100
@@ -1,5 +1,15 @@
 Revision history for CPAN-Meta
 
+2.133380  2013-12-03 23:01:07 America/New_York
+
+  [FIXED]
+
+  - Improved bad version handling during META conversion
+
+  - When downgrading multiple licenses to version 1.x META formats, if all
+the licenses are open source, the downgraded license will be
+open_source, not unknown
+
 2.132830  2013-10-10 16:04:30 America/New_York
 
   [ADDED]
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/CPAN-Meta-2.132830/MANIFEST 
new/CPAN-Meta-2.133380/MANIFEST
--- old/CPAN-Meta-2.132830/MANIFEST 2013-10-10 22:04:44.0 +0200
+++ new/CPAN-Meta-2.133380/MANIFEST 2013-12-04 05:01:20.0 +0100
@@ -22,7 +22,6 @@
 lib/CPAN/Meta/Spec.pm
 lib/CPAN/Meta/Validator.pm
 perlcritic.rc
-t/00-compile.t
 t/00-report-prereqs.t
 t/README-data.txt
 t/converter-bad.t
@@ -85,6 +84,7 @@
 t/save-load.t
 t/strings.t
 t/validator.t
+xt/author/00-compile.t
 xt/author/critic.t
 xt/author/pod-spell.t
 xt/release/distmeta.t
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/CPAN-Meta-2.132830/META.json 
new/CPAN-Meta-2.133380/META.json
--- old/CPAN-Meta-2.132830/META.json2013-10-10 22:04:44.0 +0200
+++ new/CPAN-Meta-2.133380/META.json2013-12-04 05:01:20.0 +0100
@@ -5,7 +5,7 @@
   Ricardo Signes r...@cpan.org
],
dynamic_config : 0,
-   generated_by : Dist::Zilla version 4.300039, CPAN::Meta::Converter 
version 2.132810,
+   generated_by : Dist::Zilla version 5.006, CPAN::Meta::Converter version 
2.132830,
license : [
   perl_5
],
@@ -34,8 +34,20 @@
   },
   develop : {
  requires : {
+Dist::Zilla : 5.006,
+Dist::Zilla::Plugin::AutoVersion : 0,
+Dist::Zilla::Plugin::MakeMaker : 0,
+Dist::Zilla::Plugin::MakeMaker::Highlander : 0.003,
+Dist::Zilla::Plugin::OnlyCorePrereqs : 0,
+Dist::Zilla::Plugin::Prereqs : 0,
+Dist::Zilla::PluginBundle::DAGOLDEN : 0.053,
+File::Spec : 0,
+File::Temp : 0,
+IO::Handle : 0,
+IPC::Open3 : 0,
 Pod::Coverage::TrustPod : 0,
 Test::CPAN::Meta : 0,
+Test::More : 0,
 Test::Pod : 1.41,

commit perl-CPAN-Meta for openSUSE:Factory

2013-11-26 Thread h_root
Hello community,

here is the log from the commit of package perl-CPAN-Meta for openSUSE:Factory 
checked in at 2013-11-26 19:24:51

Comparing /work/SRC/openSUSE:Factory/perl-CPAN-Meta (Old)
 and  /work/SRC/openSUSE:Factory/.perl-CPAN-Meta.new (New)


Package is perl-CPAN-Meta

Changes:

--- /work/SRC/openSUSE:Factory/perl-CPAN-Meta/perl-CPAN-Meta.changes
2013-10-06 14:30:55.0 +0200
+++ /work/SRC/openSUSE:Factory/.perl-CPAN-Meta.new/perl-CPAN-Meta.changes   
2013-11-26 19:24:53.0 +0100
@@ -1,0 +2,16 @@
+Mon Nov 25 07:39:39 UTC 2013 - co...@suse.com
+
+- updated to 2.132830
+  [ADDED]
+
+  - CPAN::Meta::Prereqs now has a 'merged_requirements' method for
+combining requirements across multiple phases and types
+
+  [FIXED]
+
+  - Invalid 'meta-spec' is no longer a fatal error: instead, it will
+usually be treated as spec version 1.0 (prior to formalization of the
+meta-spec field).  Conversion has some heuristics for guessing a
+version depending on other fields if 'meta-spec' is missing or invalid.
+
+---

Old:

  CPAN-Meta-2.132661.tar.gz

New:

  CPAN-Meta-2.132830.tar.gz



Other differences:
--
++ perl-CPAN-Meta.spec ++
--- /var/tmp/diff_new_pack.LvacfM/_old  2013-11-26 19:24:53.0 +0100
+++ /var/tmp/diff_new_pack.LvacfM/_new  2013-11-26 19:24:53.0 +0100
@@ -17,7 +17,7 @@
 
 
 Name:   perl-CPAN-Meta
-Version:2.132661
+Version:2.132830
 Release:0
 %define cpan_name CPAN-Meta
 Summary:the distribution metadata for a CPAN dist

++ CPAN-Meta-2.132661.tar.gz - CPAN-Meta-2.132830.tar.gz ++
 5285 lines of diff (skipped)

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit perl-CPAN-Meta for openSUSE:Factory

2013-10-06 Thread h_root
Hello community,

here is the log from the commit of package perl-CPAN-Meta for openSUSE:Factory 
checked in at 2013-10-06 14:30:53

Comparing /work/SRC/openSUSE:Factory/perl-CPAN-Meta (Old)
 and  /work/SRC/openSUSE:Factory/.perl-CPAN-Meta.new (New)


Package is perl-CPAN-Meta

Changes:

--- /work/SRC/openSUSE:Factory/perl-CPAN-Meta/perl-CPAN-Meta.changes
2013-08-07 20:47:51.0 +0200
+++ /work/SRC/openSUSE:Factory/.perl-CPAN-Meta.new/perl-CPAN-Meta.changes   
2013-10-06 14:30:55.0 +0200
@@ -1,0 +2,24 @@
+Fri Oct  4 09:15:24 UTC 2013 - co...@suse.com
+
+- updated to 2.132661
+   [FIXED]
+   - updated Makefile.PL logic to support PERL_NO_HIGHLANDER
+   [PREREQS]
+   - Dropped ExtUtils::MakeMaker configure_requires dependency
+ to 6.17
+
+   [FIXED]
+   - Installation on Perls  5.12 will uninstall older versions installed
+ due to being bundled with ExtUtils::MakeMaker
+ 
+   [CHANGED]
+   - META validation used to allow a scalar value when a list (i.e. array
+ reference) was required for a field. This has been tightened and
+ validation will now fail if a scalar value is given.  Conversion will
+ continue to turn scalars into an array reference as it previously did.
+ 
+   [FIXED]
+   - Fixed incorrectly encoded META.yml
+- remove outdated perl-CPAN-Meta-use_lib.patch
+
+---

Old:

  CPAN-Meta-2.132140.tar.gz

New:

  CPAN-Meta-2.132661.tar.gz



Other differences:
--
++ perl-CPAN-Meta.spec ++
--- /var/tmp/diff_new_pack.PUsTA4/_old  2013-10-06 14:30:56.0 +0200
+++ /var/tmp/diff_new_pack.PUsTA4/_new  2013-10-06 14:30:56.0 +0200
@@ -17,7 +17,7 @@
 
 
 Name:   perl-CPAN-Meta
-Version:2.132140
+Version:2.132661
 Release:0
 %define cpan_name CPAN-Meta
 Summary:the distribution metadata for a CPAN dist
@@ -25,12 +25,11 @@
 Group:  Development/Libraries/Perl
 Url:http://search.cpan.org/dist/CPAN-Meta/
 Source: 
http://www.cpan.org/authors/id/D/DA/DAGOLDEN/%{cpan_name}-%{version}.tar.gz
-Patch0: perl-CPAN-Meta-use_lib.patch
 BuildArch:  noarch
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 BuildRequires:  perl
 BuildRequires:  perl-macros
-BuildRequires:  perl(CPAN::Meta::Requirements) = 2.121000
+BuildRequires:  perl(CPAN::Meta::Requirements) = 2.121
 BuildRequires:  perl(CPAN::Meta::YAML) = 0.008
 BuildRequires:  perl(File::Temp) = 0.20
 BuildRequires:  perl(JSON::PP) = 2.27200
@@ -42,7 +41,9 @@
 #BuildRequires: perl(CPAN::Meta::Feature)
 #BuildRequires: perl(CPAN::Meta::Prereqs)
 #BuildRequires: perl(CPAN::Meta::Validator)
-Requires:   perl(CPAN::Meta::Requirements) = 2.121000
+#BuildRequires: perl(Pod::Wordlist)
+#BuildRequires: perl(Test::Spelling) = 0.12
+Requires:   perl(CPAN::Meta::Requirements) = 2.121
 Requires:   perl(CPAN::Meta::YAML) = 0.008
 Requires:   perl(JSON::PP) = 2.27200
 Requires:   perl(Parse::CPAN::Meta) = 1.4403
@@ -65,10 +66,6 @@
 
 %prep
 %setup -q -n %{cpan_name}-%{version}
-%if 0%{?suse_version} = 1110
-%patch0 -p1
-sed -i s|__vendorperl__|%{perl_vendorlib}|g Makefile.PL t/*.t
-%endif
 
 %build
 %{__perl} Makefile.PL INSTALLDIRS=vendor
@@ -84,6 +81,6 @@
 
 %files -f %{name}.files
 %defattr(-,root,root,755)
-%doc Changes CONTRIBUTING LICENSE perlcritic.rc README Todo
+%doc Changes CONTRIBUTING cpanfile LICENSE perlcritic.rc README Todo
 
 %changelog

++ CPAN-Meta-2.132140.tar.gz - CPAN-Meta-2.132661.tar.gz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/CPAN-Meta-2.132140/CONTRIBUTING 
new/CPAN-Meta-2.132661/CONTRIBUTING
--- old/CPAN-Meta-2.132140/CONTRIBUTING 2013-08-02 17:54:30.0 +0200
+++ new/CPAN-Meta-2.132661/CONTRIBUTING 2013-09-23 19:27:58.0 +0200
@@ -1,4 +1,4 @@
-README.PATCHING
+## HOW TO CONTRIBUTE
 
 Thank you for considering contributing to this distribution.  This file
 contains instructions that will help you work with the source code.
@@ -7,36 +7,56 @@
 usual files you might expect are not in the repository, but are generated
 at release time (e.g. Makefile.PL).
 
-However, you can run tests directly using the 'prove' tool:
+### Getting dependencies
 
-  $ prove -l
-  $ prove -lv t/some_test_file.t
+See the included `cpanfile` file for a list of dependencies.  If you have
+App::cpanminus 1.6 or later installed, you can use `cpanm` to satisfy
+dependencies like this:
 
-For most distributions, 'prove' is entirely sufficent for you to test any
+$ cpanm --installdeps .
+
+Otherwise, you can install Module::CPANfile 1.0002 or later and then satisfy
+dependencies with the regular `cpan` client and `cpanfile-dump`:
+
+

commit perl-CPAN-Meta for openSUSE:Factory

2013-08-07 Thread h_root
Hello community,

here is the log from the commit of package perl-CPAN-Meta for openSUSE:Factory 
checked in at 2013-08-07 20:47:49

Comparing /work/SRC/openSUSE:Factory/perl-CPAN-Meta (Old)
 and  /work/SRC/openSUSE:Factory/.perl-CPAN-Meta.new (New)


Package is perl-CPAN-Meta

Changes:

--- /work/SRC/openSUSE:Factory/perl-CPAN-Meta/perl-CPAN-Meta.changes
2013-06-21 12:09:38.0 +0200
+++ /work/SRC/openSUSE:Factory/.perl-CPAN-Meta.new/perl-CPAN-Meta.changes   
2013-08-07 20:47:51.0 +0200
@@ -1,0 +2,11 @@
+Sun Aug  4 15:07:54 UTC 2013 - co...@suse.com
+
+- updated to 2.132140
+  [DOCUMENTATION]
+  - Fixed some typos in CPAN::Meta::Spec
+
+  [OTHER]
+  - migrated repository to Perl-Toolchain-Gang organization on Github and
+updated metadata accordingly
+
+---

Old:

  CPAN-Meta-2.131560.tar.gz

New:

  CPAN-Meta-2.132140.tar.gz



Other differences:
--
++ perl-CPAN-Meta.spec ++
--- /var/tmp/diff_new_pack.MbK5Eo/_old  2013-08-07 20:47:52.0 +0200
+++ /var/tmp/diff_new_pack.MbK5Eo/_new  2013-08-07 20:47:52.0 +0200
@@ -17,7 +17,7 @@
 
 
 Name:   perl-CPAN-Meta
-Version:2.131560
+Version:2.132140
 Release:0
 %define cpan_name CPAN-Meta
 Summary:the distribution metadata for a CPAN dist

++ CPAN-Meta-2.131560.tar.gz - CPAN-Meta-2.132140.tar.gz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/CPAN-Meta-2.131560/Changes 
new/CPAN-Meta-2.132140/Changes
--- old/CPAN-Meta-2.131560/Changes  2013-06-05 21:26:44.0 +0200
+++ new/CPAN-Meta-2.132140/Changes  2013-08-02 17:54:30.0 +0200
@@ -1,5 +1,16 @@
 Revision history for CPAN-Meta
 
+2.132140  2013-08-02 11:54:17 America/New_York
+
+  [DOCUMENTATION]
+
+  - Fixed some typos in CPAN::Meta::Spec
+
+  [OTHER]
+
+  - migrated repository to Perl-Toolchain-Gang organization on Github and
+updated metadata accordingly
+
 2.131560  2013-06-05 15:26:36 America/New_York
 
   [DOCUMENTATION]
@@ -376,3 +387,4 @@
 
   - keep the old specs from getting indexed so as not to confuse people
 
+# vim: ts=2 sts=2 sw=2 et:
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/CPAN-Meta-2.131560/MANIFEST 
new/CPAN-Meta-2.132140/MANIFEST
--- old/CPAN-Meta-2.131560/MANIFEST 2013-06-05 21:26:44.0 +0200
+++ new/CPAN-Meta-2.132140/MANIFEST 2013-08-02 17:54:30.0 +0200
@@ -81,7 +81,6 @@
 xt/author/critic.t
 xt/author/pod-spell.t
 xt/release/distmeta.t
-xt/release/minimum-version.t
 xt/release/pod-coverage.t
 xt/release/pod-syntax.t
 xt/release/portability.t
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/CPAN-Meta-2.131560/META.json 
new/CPAN-Meta-2.132140/META.json
--- old/CPAN-Meta-2.131560/META.json2013-06-05 21:26:44.0 +0200
+++ new/CPAN-Meta-2.132140/META.json2013-08-02 17:54:30.0 +0200
@@ -5,7 +5,7 @@
   Ricardo Signes r...@cpan.org
],
dynamic_config : 0,
-   generated_by : Dist::Zilla version 4.300034, CPAN::Meta::Converter 
version 2.131490,
+   generated_by : Dist::Zilla version 4.300035, CPAN::Meta::Converter 
version 2.131560,
license : [
   perl_5
],
@@ -16,7 +16,14 @@
name : CPAN-Meta,
no_index : {
   directory : [
+ t,
+ xt,
+ examples,
+ corpus,
  history
+  ],
+  package : [
+ DB
   ]
},
prereqs : {
@@ -41,7 +48,7 @@
 JSON::PP : 2.27200,
 Parse::CPAN::Meta : 1.4403,
 Scalar::Util : 0,
-perl : 5.006,
+perl : 5.008,
 strict : 0,
 version : 0.88,
 warnings : 0
@@ -67,45 +74,47 @@
provides : {
   CPAN::Meta : {
  file : lib/CPAN/Meta.pm,
- version : 2.131560
+ version : 2.132140
   },
   CPAN::Meta::Converter : {
  file : lib/CPAN/Meta/Converter.pm,
- version : 2.131560
+ version : 2.132140
   },
   CPAN::Meta::Feature : {
  file : lib/CPAN/Meta/Feature.pm,
- version : 2.131560
+ version : 2.132140
   },
   CPAN::Meta::History : {
  file : lib/CPAN/Meta/History.pm,
- version : 2.131560
+ version : 2.132140
   },
   CPAN::Meta::Prereqs : {
  file : lib/CPAN/Meta/Prereqs.pm,
- version : 2.131560
+ version : 2.132140
   },
   CPAN::Meta::Spec : {
  file : lib/CPAN/Meta/Spec.pm,
- version : 2.131560
+ version : 2.132140
   },
   CPAN::Meta::Validator : {
  file : 

commit perl-CPAN-Meta for openSUSE:Factory

2013-06-21 Thread h_root
Hello community,

here is the log from the commit of package perl-CPAN-Meta for openSUSE:Factory 
checked in at 2013-06-21 12:06:02

Comparing /work/SRC/openSUSE:Factory/perl-CPAN-Meta (Old)
 and  /work/SRC/openSUSE:Factory/.perl-CPAN-Meta.new (New)


Package is perl-CPAN-Meta

Changes:

--- /work/SRC/openSUSE:Factory/perl-CPAN-Meta/perl-CPAN-Meta.changes
2013-06-13 17:32:16.0 +0200
+++ /work/SRC/openSUSE:Factory/.perl-CPAN-Meta.new/perl-CPAN-Meta.changes   
2013-06-21 12:09:38.0 +0200
@@ -1,0 +2,5 @@
+Fri Jun 21 10:05:16 UTC 2013 - co...@suse.com
+
+- fix the requirements for CPAN-Requirements
+
+---



Other differences:
--
++ perl-CPAN-Meta.spec ++
--- /var/tmp/diff_new_pack.KxO3nR/_old  2013-06-21 12:09:38.0 +0200
+++ /var/tmp/diff_new_pack.KxO3nR/_new  2013-06-21 12:09:38.0 +0200
@@ -30,7 +30,7 @@
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 BuildRequires:  perl
 BuildRequires:  perl-macros
-BuildRequires:  perl(CPAN::Meta::Requirements) = 2.121
+BuildRequires:  perl(CPAN::Meta::Requirements) = 2.121000
 BuildRequires:  perl(CPAN::Meta::YAML) = 0.008
 BuildRequires:  perl(File::Temp) = 0.20
 BuildRequires:  perl(JSON::PP) = 2.27200
@@ -42,7 +42,7 @@
 #BuildRequires: perl(CPAN::Meta::Feature)
 #BuildRequires: perl(CPAN::Meta::Prereqs)
 #BuildRequires: perl(CPAN::Meta::Validator)
-Requires:   perl(CPAN::Meta::Requirements) = 2.121
+Requires:   perl(CPAN::Meta::Requirements) = 2.121000
 Requires:   perl(CPAN::Meta::YAML) = 0.008
 Requires:   perl(JSON::PP) = 2.27200
 Requires:   perl(Parse::CPAN::Meta) = 1.4403

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit perl-CPAN-Meta for openSUSE:Factory

2013-06-13 Thread h_root
Hello community,

here is the log from the commit of package perl-CPAN-Meta for openSUSE:Factory 
checked in at 2013-06-13 17:32:15

Comparing /work/SRC/openSUSE:Factory/perl-CPAN-Meta (Old)
 and  /work/SRC/openSUSE:Factory/.perl-CPAN-Meta.new (New)


Package is perl-CPAN-Meta

Changes:

--- /work/SRC/openSUSE:Factory/perl-CPAN-Meta/perl-CPAN-Meta.changes
2012-10-26 17:28:05.0 +0200
+++ /work/SRC/openSUSE:Factory/.perl-CPAN-Meta.new/perl-CPAN-Meta.changes   
2013-06-13 17:32:16.0 +0200
@@ -1,0 +2,29 @@
+Tue Jun 11 18:29:24 UTC 2013 - co...@suse.com
+
+- updated to 2.131560
+   [DOCUMENTATION]
+ 
+   - Replaced CPAN::Meta SYNOPSIS with code that actually works
+ 
+   [BUGFIX]
+ 
+   - Downconversion of custom resources was not dropping the leading x_.
+ Now x_MailingList will downconvert correctly to MailingList.
+ 
+   [SPEC]
+ 
+   - Per the Lancaster Consensus, the 'file' subkey of a package listed in
+ 'provides' must refer to an actual file in the distribution, either the
+ .pm file that provides the package or another file (*.PL) that
+ generates it
+ 
+   [BUGFIX]
+ 
+   - Fix provides 'version' bug introduced in the 2.130870 fix
+ 
+   [BUGFIX]
+ 
+   - Don't add 'version' to 'provides' during conversion if one didn't
+ exist in the original [Reported by Miyagawa; fixed by David Golden]
+
+---

Old:

  CPAN-Meta-2.120921.tar.gz

New:

  CPAN-Meta-2.131560.tar.gz



Other differences:
--
++ perl-CPAN-Meta.spec ++
--- /var/tmp/diff_new_pack.luldtF/_old  2013-06-13 17:32:16.0 +0200
+++ /var/tmp/diff_new_pack.luldtF/_new  2013-06-13 17:32:16.0 +0200
@@ -1,7 +1,7 @@
 #
 # spec file for package perl-CPAN-Meta
 #
-# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
+# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -17,7 +17,7 @@
 
 
 Name:   perl-CPAN-Meta
-Version:2.120921
+Version:2.131560
 Release:0
 %define cpan_name CPAN-Meta
 Summary:the distribution metadata for a CPAN dist
@@ -29,20 +29,24 @@
 BuildArch:  noarch
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 BuildRequires:  perl
-BuildRequires:  perl-CPAN-Meta-Requirements = 2.121
 BuildRequires:  perl-macros
+BuildRequires:  perl(CPAN::Meta::Requirements) = 2.121
 BuildRequires:  perl(CPAN::Meta::YAML) = 0.008
 BuildRequires:  perl(File::Temp) = 0.20
 BuildRequires:  perl(JSON::PP) = 2.27200
 BuildRequires:  perl(Parse::CPAN::Meta) = 1.4403
 BuildRequires:  perl(Test::More) = 0.88
 BuildRequires:  perl(version) = 0.88
-Requires:   perl-CPAN-Meta-Requirements = 2.121
+#BuildRequires: perl(CPAN::Meta)
+#BuildRequires: perl(CPAN::Meta::Converter)
+#BuildRequires: perl(CPAN::Meta::Feature)
+#BuildRequires: perl(CPAN::Meta::Prereqs)
+#BuildRequires: perl(CPAN::Meta::Validator)
+Requires:   perl(CPAN::Meta::Requirements) = 2.121
 Requires:   perl(CPAN::Meta::YAML) = 0.008
 Requires:   perl(JSON::PP) = 2.27200
 Requires:   perl(Parse::CPAN::Meta) = 1.4403
 Requires:   perl(version) = 0.88
-
 %{perl_requires}
 
 %description
@@ -80,6 +84,6 @@
 
 %files -f %{name}.files
 %defattr(-,root,root,755)
-%doc Changes LICENSE perlcritic.rc README README.PATCHING Todo
+%doc Changes CONTRIBUTING LICENSE perlcritic.rc README Todo
 
 %changelog

++ CPAN-Meta-2.120921.tar.gz - CPAN-Meta-2.131560.tar.gz ++
 1947 lines of diff (skipped)

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit perl-CPAN-Meta for openSUSE:Factory

2012-10-26 Thread h_root
Hello community,

here is the log from the commit of package perl-CPAN-Meta for openSUSE:Factory 
checked in at 2012-10-26 17:27:56

Comparing /work/SRC/openSUSE:Factory/perl-CPAN-Meta (Old)
 and  /work/SRC/openSUSE:Factory/.perl-CPAN-Meta.new (New)


Package is perl-CPAN-Meta, Maintainer is 

Changes:

--- /work/SRC/openSUSE:Factory/perl-CPAN-Meta/perl-CPAN-Meta.changes
2012-06-29 13:26:19.0 +0200
+++ /work/SRC/openSUSE:Factory/.perl-CPAN-Meta.new/perl-CPAN-Meta.changes   
2012-10-26 17:28:05.0 +0200
@@ -1,0 +2,5 @@
+Thu Oct 25 18:38:53 UTC 2012 - opens...@dstoecker.de
+
+- fix build for older releases
+
+---



Other differences:
--
++ perl-CPAN-Meta-use_lib.patch ++
--- /var/tmp/diff_new_pack.rYUBua/_old  2012-10-26 17:28:06.0 +0200
+++ /var/tmp/diff_new_pack.rYUBua/_new  2012-10-26 17:28:06.0 +0200
@@ -1,20 +1,18 @@
-Index: CPAN-Meta-2.110930/Makefile.PL
-===
 CPAN-Meta-2.110930.orig/Makefile.PL
-+++ CPAN-Meta-2.110930/Makefile.PL
+diff -ur CPAN-Meta-2.120921/Makefile.PL CPAN-Meta-2.120921_fix/Makefile.PL
+--- CPAN-Meta-2.120921/Makefile.PL 2012-04-01 15:20:33.0 +0200
 CPAN-Meta-2.120921_fix/Makefile.PL 2012-10-25 20:36:03.311673541 +0200
 @@ -2,6 +2,8 @@
  use strict;
  use warnings;
  
 +use lib '__vendorperl__';
 +
- BEGIN { require 5.006; }
+ use 5.006;
  
- use ExtUtils::MakeMaker 6.31;
-Index: CPAN-Meta-2.110930/t/converter-fail.t
-===
 CPAN-Meta-2.110930.orig/t/converter-fail.t
-+++ CPAN-Meta-2.110930/t/converter-fail.t
+ use ExtUtils::MakeMaker 6.30;
+diff -ur CPAN-Meta-2.120921/t/converter-bad.t 
CPAN-Meta-2.120921_fix/t/converter-bad.t
+--- CPAN-Meta-2.120921/t/converter-bad.t   2012-04-01 15:20:33.0 
+0200
 CPAN-Meta-2.120921_fix/t/converter-bad.t   2012-10-25 20:35:29.497765641 
+0200
 @@ -1,5 +1,6 @@
  use strict;
  use warnings;
@@ -22,10 +20,9 @@
  use Test::More 0.88;
  
  use CPAN::Meta;
-Index: CPAN-Meta-2.110930/t/converter.t
-===
 CPAN-Meta-2.110930.orig/t/converter.t
-+++ CPAN-Meta-2.110930/t/converter.t
+diff -ur CPAN-Meta-2.120921/t/converter-fail.t 
CPAN-Meta-2.120921_fix/t/converter-fail.t
+--- CPAN-Meta-2.120921/t/converter-fail.t  2012-04-01 15:20:33.0 
+0200
 CPAN-Meta-2.120921_fix/t/converter-fail.t  2012-10-25 20:35:29.495765707 
+0200
 @@ -1,5 +1,6 @@
  use strict;
  use warnings;
@@ -33,21 +30,20 @@
  use Test::More 0.88;
  
  use CPAN::Meta;
-Index: CPAN-Meta-2.110930/t/load-bad.t
-===
 CPAN-Meta-2.110930.orig/t/load-bad.t
-+++ CPAN-Meta-2.110930/t/load-bad.t
+diff -ur CPAN-Meta-2.120921/t/converter.t CPAN-Meta-2.120921_fix/t/converter.t
+--- CPAN-Meta-2.120921/t/converter.t   2012-04-01 15:20:33.0 +0200
 CPAN-Meta-2.120921_fix/t/converter.t   2012-10-25 20:35:29.495765707 
+0200
 @@ -1,5 +1,6 @@
  use strict;
  use warnings;
 +use lib '__vendorperl__';
  use Test::More 0.88;
+ use utf8;
  
- use CPAN::Meta;
-Index: CPAN-Meta-2.110930/t/meta-obj.t
-===
 CPAN-Meta-2.110930.orig/t/meta-obj.t
-+++ CPAN-Meta-2.110930/t/meta-obj.t
+Nur in CPAN-Meta-2.120921_fix/t: converter.t.orig.
+diff -ur CPAN-Meta-2.120921/t/load-bad.t CPAN-Meta-2.120921_fix/t/load-bad.t
+--- CPAN-Meta-2.120921/t/load-bad.t2012-04-01 15:20:33.0 +0200
 CPAN-Meta-2.120921_fix/t/load-bad.t2012-10-25 20:35:29.496765674 
+0200
 @@ -1,5 +1,6 @@
  use strict;
  use warnings;
@@ -55,10 +51,9 @@
  use Test::More 0.88;
  
  use CPAN::Meta;
-Index: CPAN-Meta-2.110930/t/no-index.t
-===
 CPAN-Meta-2.110930.orig/t/no-index.t
-+++ CPAN-Meta-2.110930/t/no-index.t
+diff -ur CPAN-Meta-2.120921/t/meta-obj.t CPAN-Meta-2.120921_fix/t/meta-obj.t
+--- CPAN-Meta-2.120921/t/meta-obj.t2012-04-01 15:20:33.0 +0200
 CPAN-Meta-2.120921_fix/t/meta-obj.t2012-10-25 20:35:29.496765674 
+0200
 @@ -1,5 +1,6 @@
  use strict;
  use warnings;
@@ -66,21 +61,19 @@
  use Test::More 0.88;
  
  use CPAN::Meta;
-Index: CPAN-Meta-2.110930/t/prereqs-finalize.t
-===
 CPAN-Meta-2.110930.orig/t/prereqs-finalize.t
-+++ CPAN-Meta-2.110930/t/prereqs-finalize.t
+diff -ur CPAN-Meta-2.120921/t/no-index.t CPAN-Meta-2.120921_fix/t/no-index.t
+--- CPAN-Meta-2.120921/t/no-index.t2012-04-01 15:20:33.0 +0200
 

commit perl-CPAN-Meta for openSUSE:Factory

2012-06-05 Thread h_root
Hello community,

here is the log from the commit of package perl-CPAN-Meta for openSUSE:Factory 
checked in at 2012-06-05 12:02:54

Comparing /work/SRC/openSUSE:Factory/perl-CPAN-Meta (Old)
 and  /work/SRC/openSUSE:Factory/.perl-CPAN-Meta.new (New)


Package is perl-CPAN-Meta, Maintainer is 

Changes:

--- /work/SRC/openSUSE:Factory/perl-CPAN-Meta/perl-CPAN-Meta.changes
2012-03-06 13:40:44.0 +0100
+++ /work/SRC/openSUSE:Factory/.perl-CPAN-Meta.new/perl-CPAN-Meta.changes   
2012-06-05 12:03:00.0 +0200
@@ -1,0 +2,34 @@
+Thu May 31 13:38:13 UTC 2012 - co...@suse.com
+
+- we need to use the package name explicitly because of version
+  mismatch between perl and rpm
+
+---
+Wed May 30 12:33:34 UTC 2012 - co...@suse.com
+
+- updated to 2.120921
+  [REMOVED]
+
+  - CPAN::Meta::Requirements has been split out into its own distribution
+so it can be used by CPAN.pm without requiring all of CPAN::Meta
+
+  [ADDED]
+
+  - CPAN::Meta::Requirements now has a 'requirements_for_module' method
+to retrieve a version requirements string for a specific module
+[Leon Timmermans]
+
+  [OTHER]
+
+  - Parse::CPAN::Meta prerequisite bumped to 1.4403
+  - JSON::PP prerequisites bumped to 2.27200
+  - CPAN::Meta::YAML prerequisite bumped to 0.008
+
+  [BUGFIX]
+
+  - CPAN::Meta::Requirements now treats undef requirements given to
+from_string_hash() as '0' and warns about it; add_string_requirements()
+dies if it does not get a requirements string to parse
+
+
+---

Old:

  CPAN-Meta-2.120630.tar.gz

New:

  CPAN-Meta-2.120921.tar.gz



Other differences:
--
++ perl-CPAN-Meta.spec ++
--- /var/tmp/diff_new_pack.ngrs3A/_old  2012-06-05 12:03:02.0 +0200
+++ /var/tmp/diff_new_pack.ngrs3A/_new  2012-06-05 12:03:02.0 +0200
@@ -17,7 +17,7 @@
 
 
 Name:   perl-CPAN-Meta
-Version:2.120630
+Version:2.120921
 Release:0
 %define cpan_name CPAN-Meta
 Summary:the distribution metadata for a CPAN dist
@@ -29,24 +29,20 @@
 BuildArch:  noarch
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 BuildRequires:  perl
+BuildRequires:  perl-CPAN-Meta-Requirements = 2.121
 BuildRequires:  perl-macros
-BuildRequires:  perl(CPAN::Meta::YAML) = 0.002
+BuildRequires:  perl(CPAN::Meta::YAML) = 0.008
 BuildRequires:  perl(File::Temp) = 0.20
-BuildRequires:  perl(JSON::PP) = 2.27103
-BuildRequires:  perl(Parse::CPAN::Meta) = 1.4400
+BuildRequires:  perl(JSON::PP) = 2.27200
+BuildRequires:  perl(Parse::CPAN::Meta) = 1.4403
 BuildRequires:  perl(Test::More) = 0.88
 BuildRequires:  perl(version) = 0.88
-#BuildRequires: perl(CPAN::Meta)
-#BuildRequires: perl(CPAN::Meta::Converter)
-#BuildRequires: perl(CPAN::Meta::Feature)
-#BuildRequires: perl(CPAN::Meta::Prereqs)
-#BuildRequires: perl(CPAN::Meta::Requirements)
-#BuildRequires: perl(CPAN::Meta::Validator)
-#BuildRequires: perl(Test::Requires)
-Requires:   perl(CPAN::Meta::YAML) = 0.002
-Requires:   perl(JSON::PP) = 2.27103
-Requires:   perl(Parse::CPAN::Meta) = 1.4400
+Requires:   perl-CPAN-Meta-Requirements = 2.121
+Requires:   perl(CPAN::Meta::YAML) = 0.008
+Requires:   perl(JSON::PP) = 2.27200
+Requires:   perl(Parse::CPAN::Meta) = 1.4403
 Requires:   perl(version) = 0.88
+
 %{perl_requires}
 
 %description

++ CPAN-Meta-2.120630.tar.gz - CPAN-Meta-2.120921.tar.gz ++
 1789 lines of diff (skipped)

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit perl-CPAN-Meta for openSUSE:Factory

2012-03-06 Thread h_root
Hello community,

here is the log from the commit of package perl-CPAN-Meta for openSUSE:Factory 
checked in at 2012-03-06 13:40:42

Comparing /work/SRC/openSUSE:Factory/perl-CPAN-Meta (Old)
 and  /work/SRC/openSUSE:Factory/.perl-CPAN-Meta.new (New)


Package is perl-CPAN-Meta, Maintainer is 

Changes:

--- /work/SRC/openSUSE:Factory/perl-CPAN-Meta/perl-CPAN-Meta.changes
2012-02-23 15:33:40.0 +0100
+++ /work/SRC/openSUSE:Factory/.perl-CPAN-Meta.new/perl-CPAN-Meta.changes   
2012-03-06 13:40:44.0 +0100
@@ -1,0 +2,25 @@
+Tue Mar  6 07:26:18 UTC 2012 - co...@suse.com
+
+- updated to 2.120630
+  [BUGFIX]
+
+  - CPAN::Meta::Requirements now ensures that dotted-decimal versions are
+represented in normalized form when stringified.  This fixes a
+regression in META conversion in 2.120620.
+[Reported by Kent Fredric; fixed by David Golden]
+
+  [ADDED]
+
+  - CPAN::Meta::Requirements::add_string_requirements allows building
+a requirements specification piecemeal [Cory G. Watson]
+
+  [BUGFIX]
+
+  - Version range handling fixed [RT#75424]
+
+  - CPAN::Meta::Converter handles bad version strings more gracefully,
+truncating alphanumerics and otherwise falling back to 0.  This
+is likely better than dropping a prerequisite or dying.
+[RT#75427]
+
+---

Old:

  CPAN-Meta-2.120530.tar.gz

New:

  CPAN-Meta-2.120630.tar.gz



Other differences:
--
++ perl-CPAN-Meta.spec ++
--- /var/tmp/diff_new_pack.cSvUI6/_old  2012-03-06 13:40:45.0 +0100
+++ /var/tmp/diff_new_pack.cSvUI6/_new  2012-03-06 13:40:45.0 +0100
@@ -17,7 +17,7 @@
 
 
 Name:   perl-CPAN-Meta
-Version:2.120530
+Version:2.120630
 Release:0
 %define cpan_name CPAN-Meta
 Summary:the distribution metadata for a CPAN dist
@@ -35,17 +35,18 @@
 BuildRequires:  perl(JSON::PP) = 2.27103
 BuildRequires:  perl(Parse::CPAN::Meta) = 1.4400
 BuildRequires:  perl(Test::More) = 0.88
-BuildRequires:  perl(version) = 0.82
+BuildRequires:  perl(version) = 0.88
 #BuildRequires: perl(CPAN::Meta)
 #BuildRequires: perl(CPAN::Meta::Converter)
 #BuildRequires: perl(CPAN::Meta::Feature)
 #BuildRequires: perl(CPAN::Meta::Prereqs)
 #BuildRequires: perl(CPAN::Meta::Requirements)
 #BuildRequires: perl(CPAN::Meta::Validator)
+#BuildRequires: perl(Test::Requires)
 Requires:   perl(CPAN::Meta::YAML) = 0.002
 Requires:   perl(JSON::PP) = 2.27103
 Requires:   perl(Parse::CPAN::Meta) = 1.4400
-Requires:   perl(version) = 0.82
+Requires:   perl(version) = 0.88
 %{perl_requires}
 
 %description

++ CPAN-Meta-2.120530.tar.gz - CPAN-Meta-2.120630.tar.gz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/CPAN-Meta-2.120530/Changes 
new/CPAN-Meta-2.120630/Changes
--- old/CPAN-Meta-2.120530/Changes  2012-02-22 22:15:40.0 +0100
+++ new/CPAN-Meta-2.120630/Changes  2012-03-03 20:48:44.0 +0100
@@ -1,5 +1,30 @@
 Revision history for CPAN-Meta
 
+2.120630  2012-03-03 14:48:35 EST5EDT
+
+  [BUGFIX]
+
+  - CPAN::Meta::Requirements now ensures that dotted-decimal versions are
+represented in normalized form when stringified.  This fixes a
+regression in META conversion in 2.120620.
+[Reported by Kent Fredric; fixed by David Golden]
+
+2.120620  2012-03-02 12:28:59 EST5EDT
+
+  [ADDED]
+
+  - CPAN::Meta::Requirements::add_string_requirements allows building
+a requirements specification piecemeal [Cory G. Watson]
+
+  [BUGFIX]
+
+  - Version range handling fixed [rt.cpan.org #75424]
+
+  - CPAN::Meta::Converter handles bad version strings more gracefully,
+truncating alphanumerics and otherwise falling back to 0.  This
+is likely better than dropping a prerequisite or dying.
+[rt.cpan.org #75427]
+
 2.120530  2012-02-22 16:15:31 EST5EDT
 
   [OTHER]
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/CPAN-Meta-2.120530/MANIFEST 
new/CPAN-Meta-2.120630/MANIFEST
--- old/CPAN-Meta-2.120530/MANIFEST 2012-02-22 22:15:40.0 +0100
+++ new/CPAN-Meta-2.120630/MANIFEST 2012-03-03 20:48:44.0 +0100
@@ -24,6 +24,7 @@
 perlcritic.rc
 t/00-compile.t
 t/accepts.t
+t/bad_version_hook.t
 t/basic.t
 t/converter-bad.t
 t/converter-fail.t
@@ -48,6 +49,7 @@
 t/data-bad/META-1_4.yml
 t/data-bad/META-2.json
 t/data-bad/restrictive-2.json
+t/data-bad/version-ranges-2.json
 t/data-fail/META-1_0.yml
 t/data-fail/META-1_1.yml
 t/data-fail/META-1_2.yml
@@ -65,6 +67,9 @@
 t/data/restricted-2.json
 t/data/restrictive-1_4.yml
 t/data/unicode.yml
+t/data/version-not-normal.json
+t/data/version-ranges-1_4.yml

commit perl-CPAN-Meta for openSUSE:Factory

2012-02-23 Thread h_root
Hello community,

here is the log from the commit of package perl-CPAN-Meta for openSUSE:Factory 
checked in at 2012-02-23 15:33:39

Comparing /work/SRC/openSUSE:Factory/perl-CPAN-Meta (Old)
 and  /work/SRC/openSUSE:Factory/.perl-CPAN-Meta.new (New)


Package is perl-CPAN-Meta, Maintainer is 

Changes:

--- /work/SRC/openSUSE:Factory/perl-CPAN-Meta/perl-CPAN-Meta.changes
2012-02-14 11:25:48.0 +0100
+++ /work/SRC/openSUSE:Factory/.perl-CPAN-Meta.new/perl-CPAN-Meta.changes   
2012-02-23 15:33:40.0 +0100
@@ -1,0 +2,6 @@
+Thu Feb 23 09:55:46 UTC 2012 - co...@suse.com
+
+- updated to 2.120530
+ - Dialed back perl prereq to 5.006
+
+---

Old:

  CPAN-Meta-2.120351.tar.gz

New:

  CPAN-Meta-2.120530.tar.gz



Other differences:
--
++ perl-CPAN-Meta.spec ++
--- /var/tmp/diff_new_pack.u56jM4/_old  2012-02-23 15:33:41.0 +0100
+++ /var/tmp/diff_new_pack.u56jM4/_new  2012-02-23 15:33:41.0 +0100
@@ -17,7 +17,7 @@
 
 
 Name:   perl-CPAN-Meta
-Version:2.120351
+Version:2.120530
 Release:0
 %define cpan_name CPAN-Meta
 Summary:the distribution metadata for a CPAN dist

++ CPAN-Meta-2.120351.tar.gz - CPAN-Meta-2.120530.tar.gz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/CPAN-Meta-2.120351/Changes 
new/CPAN-Meta-2.120530/Changes
--- old/CPAN-Meta-2.120351/Changes  2012-02-04 05:01:59.0 +0100
+++ new/CPAN-Meta-2.120530/Changes  2012-02-22 22:15:40.0 +0100
@@ -1,5 +1,11 @@
 Revision history for CPAN-Meta
 
+2.120530  2012-02-22 16:15:31 EST5EDT
+
+  [OTHER]
+
+  - Dialed back perl prereq to 5.006
+
 2.120351  2012-02-03 23:01:45 America/New_York
 
   [OTHER]
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/CPAN-Meta-2.120351/META.json 
new/CPAN-Meta-2.120530/META.json
--- old/CPAN-Meta-2.120351/META.json2012-02-04 05:01:59.0 +0100
+++ new/CPAN-Meta-2.120530/META.json2012-02-22 22:15:40.0 +0100
@@ -5,7 +5,7 @@
   Ricardo Signes r...@cpan.org
],
dynamic_config : 0,
-   generated_by : Dist::Zilla version 4.33, CPAN::Meta::Converter 
version 2.113640,
+   generated_by : Dist::Zilla version 4.39, CPAN::Meta::Converter 
version 2.120351,
license : [
   perl_5
],
@@ -28,69 +28,61 @@
   runtime : {
  requires : {
 CPAN::Meta::YAML : 0.002,
-Carp : 0,
+Carp : 0,
 JSON::PP : 2.27103,
 Parse::CPAN::Meta : 1.4400,
-Scalar::Util : 0,
-perl : 5.008,
-strict : 0,
+Scalar::Util : 0,
+perl : 5.006,
+strict : 0,
 version : 0.82,
-warnings : 0
+warnings : 0
  }
   },
   test : {
  requires : {
-Data::Dumper : 0,
-File::Find : 0,
-File::Spec : 0,
+Data::Dumper : 0,
+File::Find : 0,
+File::Spec : 0,
 File::Temp : 0.20,
-IO::Dir : 0,
+IO::Dir : 0,
 Test::More : 0.88,
-overload : 0,
-utf8 : 0
+overload : 0,
+utf8 : 0
  }
   }
},
provides : {
   CPAN::Meta : {
  file : lib/CPAN/Meta.pm,
- version : 2.120351
+ version : 2.120530
   },
   CPAN::Meta::Converter : {
  file : lib/CPAN/Meta/Converter.pm,
- version : 2.120351
+ version : 2.120530
   },
   CPAN::Meta::Feature : {
  file : lib/CPAN/Meta/Feature.pm,
- version : 2.120351
+ version : 2.120530
   },
   CPAN::Meta::History : {
  file : lib/CPAN/Meta/History.pm,
- version : 2.120351
+ version : 2.120530
   },
   CPAN::Meta::Prereqs : {
  file : lib/CPAN/Meta/Prereqs.pm,
- version : 2.120351
+ version : 2.120530
   },
   CPAN::Meta::Requirements : {
  file : lib/CPAN/Meta/Requirements.pm,
- version : 2.120351
-  },
-  CPAN::Meta::Requirements::_Range::Exact : {
- file : lib/CPAN/Meta/Requirements.pm,
- version : 2.120351
-  },
-  CPAN::Meta::Requirements::_Range::Range : {
- file : lib/CPAN/Meta/Requirements.pm,
- version : 2.120351
+ version : 2.120530
   },
   CPAN::Meta::Spec : {
  file : lib/CPAN/Meta/Spec.pm,
- version : 2.120351
+ version : 2.120530
   },
   CPAN::Meta::Validator : {
  file : lib/CPAN/Meta/Validator.pm,
- version : 2.120351
+  

commit perl-CPAN-Meta for openSUSE:Factory

2012-02-14 Thread h_root
Hello community,

here is the log from the commit of package perl-CPAN-Meta for openSUSE:Factory 
checked in at 2012-02-14 11:25:40

Comparing /work/SRC/openSUSE:Factory/perl-CPAN-Meta (Old)
 and  /work/SRC/openSUSE:Factory/.perl-CPAN-Meta.new (New)


Package is perl-CPAN-Meta, Maintainer is 

Changes:

--- /work/SRC/openSUSE:Factory/perl-CPAN-Meta/perl-CPAN-Meta.changes
2012-01-09 21:43:33.0 +0100
+++ /work/SRC/openSUSE:Factory/.perl-CPAN-Meta.new/perl-CPAN-Meta.changes   
2012-02-14 11:25:48.0 +0100
@@ -1,0 +2,8 @@
+Sat Feb 11 06:53:58 UTC 2012 - co...@suse.com
+
+- updated to 2.120351
+  - Fixed CPAN packaging errors
+  - Work around a memory leak bug involving version objects
+in boolean context.
+
+---

Old:

  CPAN-Meta-2.113640.tar.gz

New:

  CPAN-Meta-2.120351.tar.gz



Other differences:
--
++ perl-CPAN-Meta.spec ++
--- /var/tmp/diff_new_pack.tlp2Lu/_old  2012-02-14 11:25:48.0 +0100
+++ /var/tmp/diff_new_pack.tlp2Lu/_new  2012-02-14 11:25:49.0 +0100
@@ -17,14 +17,14 @@
 
 
 Name:   perl-CPAN-Meta
-Version:2.113640
+Version:2.120351
 Release:0
 %define cpan_name CPAN-Meta
 Summary:the distribution metadata for a CPAN dist
 License:Artistic-1.0 or GPL-1.0+
 Group:  Development/Libraries/Perl
 Url:http://search.cpan.org/dist/CPAN-Meta/
-Source: 
http://www.cpan.org/authors/id/R/RJ/RJBS/%{cpan_name}-%{version}.tar.gz
+Source: 
http://www.cpan.org/authors/id/D/DA/DAGOLDEN/%{cpan_name}-%{version}.tar.gz
 Patch0: perl-CPAN-Meta-use_lib.patch
 BuildArch:  noarch
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
@@ -42,7 +42,6 @@
 #BuildRequires: perl(CPAN::Meta::Prereqs)
 #BuildRequires: perl(CPAN::Meta::Requirements)
 #BuildRequires: perl(CPAN::Meta::Validator)
-#BuildRequires: perl(Test::Requires)
 Requires:   perl(CPAN::Meta::YAML) = 0.002
 Requires:   perl(JSON::PP) = 2.27103
 Requires:   perl(Parse::CPAN::Meta) = 1.4400
@@ -84,6 +83,6 @@
 
 %files -f %{name}.files
 %defattr(-,root,root,755)
-%doc Changes history LICENSE README README.PATCHING Todo
+%doc Changes LICENSE perlcritic.rc README README.PATCHING Todo
 
 %changelog

++ CPAN-Meta-2.113640.tar.gz - CPAN-Meta-2.120351.tar.gz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/CPAN-Meta-2.113640/Changes 
new/CPAN-Meta-2.120351/Changes
--- old/CPAN-Meta-2.113640/Changes  2011-12-30 21:20:11.0 +0100
+++ new/CPAN-Meta-2.120351/Changes  2012-02-04 05:01:59.0 +0100
@@ -1,7 +1,22 @@
 Revision history for CPAN-Meta
 
+2.120351  2012-02-03 23:01:45 America/New_York
+
+  [OTHER]
+
+  - Fixed CPAN packaging errors
+
+2.120350  2012-02-03 22:46:59 America/New_York
+
+  [BUGFIX]
+
+  - Work around a memory leak bug involving version objects
+in boolean context.
+
 2.113640  2011-12-30 15:19:46 America/New_York
 
+  [OTHER]
+
   - Version::Requirements has now been merged as CPAN::Meta::Requirements,
 rendering Version::Requirements itself redundant
 
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/CPAN-Meta-2.113640/MANIFEST 
new/CPAN-Meta-2.120351/MANIFEST
--- old/CPAN-Meta-2.113640/MANIFEST 2011-12-30 21:20:11.0 +0100
+++ new/CPAN-Meta-2.120351/MANIFEST 2012-02-04 05:01:59.0 +0100
@@ -21,6 +21,7 @@
 lib/CPAN/Meta/Requirements.pm
 lib/CPAN/Meta/Spec.pm
 lib/CPAN/Meta/Validator.pm
+perlcritic.rc
 t/00-compile.t
 t/accepts.t
 t/basic.t
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/CPAN-Meta-2.113640/META.json 
new/CPAN-Meta-2.120351/META.json
--- old/CPAN-Meta-2.113640/META.json2011-12-30 21:20:11.0 +0100
+++ new/CPAN-Meta-2.120351/META.json2012-02-04 05:01:59.0 +0100
@@ -5,7 +5,7 @@
   Ricardo Signes r...@cpan.org
],
dynamic_config : 0,
-   generated_by : Dist::Zilla version 4.35, CPAN::Meta::Converter 
version 2.113640,
+   generated_by : Dist::Zilla version 4.33, CPAN::Meta::Converter 
version 2.113640,
license : [
   perl_5
],
@@ -54,43 +54,43 @@
provides : {
   CPAN::Meta : {
  file : lib/CPAN/Meta.pm,
- version : 2.113640
+ version : 2.120351
   },
   CPAN::Meta::Converter : {
  file : lib/CPAN/Meta/Converter.pm,
- version : 2.113640
+ version : 2.120351
   },
   CPAN::Meta::Feature : {
  file : lib/CPAN/Meta/Feature.pm,
- version : 2.113640
+ version : 2.120351
   },
   CPAN::Meta::History : {
  file :